<?php  
class ControllerModuleCustompagebackground extends Controller {
	protected function index() {
		$this->language->load('module/custompagebackground');

      	$this->data['heading_title'] = $this->language->get('heading_title');
		
		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/stylesheet/custompagebackground.css')) {
			$this->document->addStyle('catalog/view/theme/' . $this->config->get('config_template') . '/stylesheet/custompagebackground.css');
		} else {
			$this->document->addStyle('catalog/view/theme/default/stylesheet/custompagebackground.css');
		}
		
		if (isset($this->request->server['HTTPS']) && (($this->request->server['HTTPS'] == 'on') || ($this->request->server['HTTPS'] == '1'))) {
			$this->data['data']['customPageBackground'] = str_replace('http', 'https', $this->config->get('customPageBackground'));
		} else {
			$this->data['data']['customPageBackground'] = $this->config->get('customPageBackground');
		}
		
		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/custompagebackground.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/module/custompagebackground.tpl';
		} else {
			$this->template = 'default/template/module/custompagebackground.tpl';
		}			
		$this->render();
	}
}
?>