<?php
class ControllerModuleCustompagebackground extends Controller {
	private $error = array(); 
	private $data = array();
	
	public function index() {   
		// Module Unifier

		$this->load->language('catalog/product');
		$this->load->language('module/custompagebackground');

		$this->document->setTitle($this->language->get('heading_title'));
		$this->document->addStyle('view/stylesheet/custompagebackground.css');
		
		$this->load->model('module/custompagebackground');
		$this->load->model('setting/setting');

		$this->session->data['flash_error'] = array();
		$this->session->data['flash_success'] = array();
		
        $this->document->addStyle('view/stylesheet/custompagebackground/custompagebackground.css');		
		$this->data['error_warning'] = '';
		$this->load->model('tool/image');
		$this->load->model('setting/setting');

		$this->data['no_image'] = $this->model_tool_image->resize('no_image.png', 100, 100);

		if ($this->request->server['REQUEST_METHOD'] == 'POST' && $this->validateForm()) {

			if (!empty($_POST['OaXRyb1BhY2sgLSBDb21'])) {
	                $this->request->post['custompagebackground']['LicensedOn'] = $_POST['OaXRyb1BhY2sgLSBDb21'];
	            }
	        if (!empty($_POST['cHRpbWl6YXRpb24ef4fe'])) {
	                $this->request->post['custompagebackground']['License'] = json_decode(base64_decode($_POST['cHRpbWl6YXRpb24ef4fe']), true);
	            }

	        
	       	$this->load->model('design/layout');
			$layouts = array();
			$layouts = $this->model_design_layout->getLayouts();

			foreach ($layouts as $layout) {
				$this->db->query("DELETE FROM " . DB_PREFIX . 
					"layout_module 
					WHERE layout_id = '" . (int)$layout['layout_id'] . "' and  
					code = '" . $this->db->escape('custompagebackground')."'");
			}

			$newLayouts = array();

			foreach ($this->request->post['custompagebackground_layouts'] as $layout) {
				if($layout['status'] == '1')
					$newLayouts[] = $layout;
			}
			
			foreach ($newLayouts as $layout) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "layout_module 
					SET layout_id = '" . (int)$layout['layout_id'] . "', code = '" . $this->db->escape('custompagebackground') . "', position = '" . 
					$this->db->escape('content_bottom') . "', sort_order = '0'");
				$this->event->trigger('post.admin.edit.layout', $layout['id']);
			}

			$this->model_setting_setting->editSetting('custompagebackground', $this->request->post);		

			$success_message = $this->language->get('text_success');
			if (!empty($this->request->get['activate'])) {
				$success_message = $this->language->get('text_success_activation');
			}
			$this->session->data['success'] = $success_message;
			
			if (!empty($_GET['activate'])) {
				$this->session->data['success'][] = $this->language->get('text_success_activation');
			}
			
			$selectedTab = (empty($this->request->post['selectedTab'])) ? 0 : $this->request->post['selectedTab'];

			$this->response->redirect($this->url->link('module/custompagebackground', 'token=' . $this->session->data['token'] . '&tab='.$selectedTab, 'SSL'));
		}

		if (isset($this->session->data['success'])) {
			$this->data['success'] = $this->session->data['success'];
			unset($this->session->data['success']);
		} else {
			$this->data['success'] = '';
		}
		
		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}
		
		if (isset($this->error['code'])) {
			$data['error_code'] = $this->error['code'];
		} else {
			$data['error_code'] = '';
		}

		// Set language data
		$variables = array(
			'heading_title',
			'text_enabled',
			'text_disabled',
			'text_content_top',
			'text_content_bottom',
			'text_column_left',
			'text_column_right',
			'text_activate',
			'text_not_activated',
			'text_click_activate',
			'entry_code',
			'button_save',
			'button_cancel',
			'entry_layouts_active',
			'entry_url',
			'entry_background_image',
			'entry_background_color',
			'entry_background_attachment',
			'entry_background_position',
			'entry_background_repeat',
			'entry_background_clip',
			'entry_background_origin',
			'entry_background_options',
			'text_browse',
			'text_clear',
			'text_image_manager',
			'button_remove',
			'button_add_background'
			
		);
		foreach ($variables as $variable) $this->data[$variable] = $this->language->get($variable);
		
		

		$this->data['token'] = $this->session->data['token'];
		
		$this->data['error_code'] = isset($this->error['code']) ? $this->error['code'] : '';
  		$this->data['breadcrumbs'] = array(
			array(
				'text'      => $this->language->get('text_home'),
				'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
				'separator' => false
			),
			array(
				'text'      => $this->language->get('text_module'),
				'href'      => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'),
				'separator' => ' :: '
			),
			array(
				'text'      => $this->language->get('heading_title'),
				'href'      => $this->url->link('module/custompagebackground', 'token=' . $this->session->data['token'], 'SSL'),
				'separator' => ' :: '
			)
		);	
		$this->data['action'] = $this->url->link('module/custompagebackground', 'token=' . $this->session->data['token'], 'SSL');
		$this->data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');
		
		if (isset($this->request->post['custompagebackground'])) {
			foreach ($this->request->post['custompagebackground'] as $key => $value) {
				$this->data['data']['custompagebackground'][$key] = $this->request->post['custompagebackground'][$key];
				if ($key == 'backgrounds') $this->model_module_custompagebackground->createThumbs($this->data['data']['custompagebackground'][$key]);
			}
		} else {
			$configValue = $this->model_setting_setting->getSetting('custompagebackground');
			if (!empty($configValue)) {
			$this->data['data'] = $configValue;
			foreach ($this->data['data']['custompagebackground'] as $key => $value) {
				if ($key == 'backgrounds') $this->model_module_custompagebackground->createThumbs($this->data['data']['custompagebackground']['backgrounds']);
			}
			} else {
				$this->data['data'] = array();	
			}
		}
		
		$this->data['currenttemplate'] =  $this->config->get('config_template');
		
		$this->data['moduleData'] = isset($this->data['data']['custompagebackground']) ? $this->data['data']['custompagebackground'] : array();
		$this->load->model('design/layout');
		
		$this->data['layouts'] = $this->model_design_layout->getLayouts();


		$this->data['header']  					 = $this->load->controller('common/header');
		$this->data['column_left']				= $this->load->controller('common/column_left');
		$this->data['footer']					 = $this->load->controller('common/footer');
        $this->response->setOutput($this->load->view('module/custompagebackground.tpl', $this->data));		
	}

	protected function validateForm() {
		if (!$this->user->hasPermission('modify', 'module/custompagebackground')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		return !$this->error;
	}

}
?>