<?php
class ControllerModuleCustompagebackground extends Controller {
	private $error = array(); 
	
	public function index() {   
		$this->load->language('catalog/product');
		$this->load->language('module/custompagebackground');

		$this->document->setTitle($this->language->get('heading_title'));
		$this->document->addStyle('view/stylesheet/custompagebackground.css');
		
		$this->load->model('module/custompagebackground');
				
		$this->session->data['flash_error'] = array();
		$this->session->data['flash_success'] = array();
		
        $this->document->addScript('view/javascript/custompagebackground/bootstrap/js/bootstrap.min.js');
        $this->document->addStyle('view/javascript/custompagebackground/bootstrap/css/bootstrap.min.css');
        $this->document->addStyle('view/stylesheet/custompagebackground/font-awesome/css/font-awesome.css');
        $this->document->addStyle('view/stylesheet/custompagebackground/custompagebackground.css');		
		$this->data['error_warning'] = '';
		
		if ($this->request->server['REQUEST_METHOD'] == 'POST') {
			if (!$this->user->hasPermission('modify', 'module/custompagebackground')) {
				$this->session->data['flash_error'][] = $this->language->get('error_permission');
				$this->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
			}

		if (!empty($_POST['OaXRyb1BhY2sgLSBDb21'])) {
                $this->request->post['customPageBackground']['LicensedOn'] = $_POST['OaXRyb1BhY2sgLSBDb21'];
            }
        if (!empty($_POST['cHRpbWl6YXRpb24ef4fe'])) {
                $this->request->post['customPageBackground']['License'] = json_decode(base64_decode($_POST['cHRpbWl6YXRpb24ef4fe']), true);
            }
			
			$this->model_module_custompagebackground->editSetting('custompagebackground', $this->request->post);		
			$this->session->data['success'] = $this->language->get('text_success');
			
			if (!empty($_GET['activate'])) {
				$this->session->data['success'][] = $this->language->get('text_success_activation');
			}
			
			$selectedTab = (empty($this->request->post['selectedTab'])) ? 0 : $this->request->post['selectedTab'];
			$this->redirect($this->url->link('module/custompagebackground', 'token=' . $this->session->data['token'] . '&tab='.$selectedTab, 'SSL'));
		}

		// Set language data
		$variables = array(
			'heading_title',
			'text_enabled',
			'text_disabled',
			'text_content_top',
			'text_content_bottom',
			'text_column_left',
			'text_column_right',
			'text_activate',
			'text_not_activated',
			'text_click_activate',
			'entry_code',
			'button_save',
			'button_cancel',
			'entry_layouts_active',
			'entry_url',
			'entry_background_image',
			'entry_background_color',
			'entry_background_attachment',
			'entry_background_position',
			'entry_background_repeat',
			'entry_background_clip',
			'entry_background_origin',
			'entry_background_options',
			'text_browse',
			'text_clear',
			'text_image_manager',
			'button_remove',
			'button_add_background'
			
		);
		foreach ($variables as $variable) $this->data[$variable] = $this->language->get($variable);
		
		$this->load->model('tool/image');
		$this->data['no_image'] = $this->model_tool_image->resize('no_image.jpg', 100, 100);
		$this->data['token'] = $this->session->data['token'];
		
		$this->data['error_code'] = isset($this->error['code']) ? $this->error['code'] : '';
  		$this->data['breadcrumbs'] = array(
			array(
				'text'      => $this->language->get('text_home'),
				'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
				'separator' => false
			),
			array(
				'text'      => $this->language->get('text_module'),
				'href'      => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'),
				'separator' => ' :: '
			),
			array(
				'text'      => $this->language->get('heading_title'),
				'href'      => $this->url->link('module/custompagebackground', 'token=' . $this->session->data['token'], 'SSL'),
				'separator' => ' :: '
			)
		);	
		$this->data['action'] = $this->url->link('module/custompagebackground', 'token=' . $this->session->data['token'], 'SSL');
		$this->data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');
		
		if (isset($this->request->post['customPageBackground'])) {
			foreach ($this->request->post['customPageBackground'] as $key => $value) {
				$this->data['data']['customPageBackground'][$key] = $this->request->post['customPageBackground'][$key];
				if ($key == 'backgrounds') $this->model_module_custompagebackground->createThumbs($this->data['data']['customPageBackground'][$key]);
			}
		} else {
			$configValue = $this->model_module_custompagebackground->getSetting('custompagebackground');
			if (!empty($configValue)) {
			$this->data['data'] = $configValue;
			foreach ($this->data['data']['customPageBackground'] as $key => $value) {
				if ($key == 'backgrounds') $this->model_module_custompagebackground->createThumbs($this->data['data']['customPageBackground']);
			}
			} else {
				$this->data['data'] = array();	
			}
		}
		
		$this->data['currenttemplate'] =  $this->config->get('config_template');
		
		$this->data['moduleData'] = isset($this->data['data']['customPageBackground']) ? $this->data['data']['customPageBackground'] : array();
		$this->load->model('design/layout');
		
		$this->data['layouts'] = $this->model_design_layout->getLayouts();

		$this->template = 'module/custompagebackground.tpl';
		$this->children = array(
			'common/header',
			'common/footer'
		);
		
		$this->response->setOutput($this->render());
	}
}
?>