<table class="table">
	<tr>
		<td class="col-xs-3">
          <h5><span class="required">* </span><strong><?php echo $entry_code; ?></strong></h5>
          <span class="help"><i class="fa fa-info-circle"></i>&nbsp;Enable or disable Custom Page Backgrounds</span>
        </td>
		<td class="col-xs-9">
        <div class="col-xs-4">
        	<select name="custompagebackground[Enabled]" class="custompagebackgroundEnabled form-control">
            	<option value="true" <?php echo (!empty($data['custompagebackground']['Enabled']) && $data['custompagebackground']['Enabled'] == 'true') ? 'selected=selected' : ''?>><?php echo $text_enabled; ?></option>
            	<option value="false" <?php echo (!empty($data['custompagebackground']['Enabled']) && $data['custompagebackground']['Enabled'] == 'false') ? 'selected=selected' : ''?>><?php echo $text_disabled; ?></option>
        	</select>
            </div>
		</td>
	</tr>
	<tr class="custompagebackgroundActiveTR">
		<td>
            <h5><span class="required">* </span><strong><?php echo $entry_layouts_active; ?></strong></h5>
            <span class="help"><i class="fa fa-info-circle"></i>&nbsp;Choose on which pages Custom Page Background to be active</span>
        </td>
    	<td>
		<?php $checked=''; $i=0;
			foreach ($layouts as $layout) { 
				if (!empty($data['custompagebackground_layouts'])) {
					foreach ($data['custompagebackground_layouts'] as $module) {
						if(!empty($module)) {
							if ($module['layout_id'] == $layout['layout_id']) {
								$status = $module['status'];
								$checked = (int)$status == 1 ? ' checked=checked' : '';
							}
						} 
					}
				}
				if (!isset($status) && $layout['name'] == 'Account') {
					$status = 1;
					$checked = ' checked=checked';
				} ?>
                <div style="padding-left:15px;">
                    <div class="custompagebackgroundLayout">
                        <input type="checkbox" value="<?php echo $layout['layout_id']; ?>" id="custompagebackgroundActive<?php echo $i; ?>" <?php echo $checked; ?> /><label class="checkbox-inline lbl" for="custompagebackgroundActive<?php echo $i?>"><?php echo $layout['name']; ?></label>
                        <input type="hidden" name="custompagebackground_layouts[<?php echo $i?>][position]" value="content_bottom" />
                        <input type="hidden" class="custompagebackgroundItemLayoutIDField" name="custompagebackground_layouts[<?php echo $i?>][layout_id]" value="<?php echo $layout['layout_id']; ?>" />
                        <input type="hidden" class="custompagebackgroundItemStatusField" name="custompagebackground_layouts[<?php echo $i?>][status]" value="<?php echo $status ?>" />
                        <input type="hidden" name="custompagebackground_layouts[<?php echo $i?>][sort_order]" value="<?php echo $i+10?>" />
                    </div>
                </div>
		<?php 	$i++; } ?>
		</td>
	</tr>
</table>
<script type="text/javascript">
$('.custompagebackgroundLayout input[type=checkbox]').change(function() {
    if ($(this).is(':checked')) { 
        $('.custompagebackgroundItemStatusField', $(this).parent()).val(1);
    } else {
        $('.custompagebackgroundItemStatusField', $(this).parent()).val(0);
    }
});

$('.custompagebackgroundEnabled').change(function() {
    togglecustompagebackgroundActive(true);
});

var togglecustompagebackgroundActive = function(animated) {
    if ($('.custompagebackgroundEnabled').val() == 'true') {
        if (animated) 
            $('.custompagebackgroundActiveTR').fadeIn();
        else 
            $('.custompagebackgroundActiveTR').show();
    } else {
        if (animated) 
            $('.custompagebackgroundActiveTR').fadeOut();
        else 
            $('.custompagebackgroundActiveTR').hide();
    }
}

togglecustompagebackgroundActive(false);
</script>